# Ogre::GLFBOManager::FormatProperties Struct Reference

Frame Buffer Object properties for a certain texture format. More...

List of all members.

## Public Attributes

bool | valid
std::vector< Mode > | modes

## Classes

struct | Mode
| Allowed modes/properties for this pixel format. More...

## Detailed Description

Frame Buffer Object properties for a certain texture format.

Definition at line 105 of file OgreGLFBORenderTexture.h.

## Member Data Documentation

std::vector<Mode> Ogre::GLFBOManager::FormatProperties::modes

| Definition at line 117 of file OgreGLFBORenderTexture.h.

bool Ogre::GLFBOManager::FormatProperties::valid

| Definition at line 107 of file OgreGLFBORenderTexture.h. Referenced by Ogre::GLFBOManager::checkFormat().

The documentation for this struct was generated from the following file:

- OgreGLFBORenderTexture.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:48:32 2006